Package org.eclipse.microprofile.metrics

## Interface Timer.Context

All Superinterfaces:
  `AutoCloseable`, `Closeable`

Enclosing interface:
  Timer

    public static interface Timer.Context
    extends Closeable

A timing context.

See Also:
  `Timer.time()`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Equivalent to calling `stop()`.
`long` `stop()` Updates the timer with the difference between current and start time.

### Method Detail

#### stop

    long stop()

Updates the timer with the difference between current and start time. Call to this method will not reset the start time. Multiple calls result in multiple updates.

Returns:
  the elapsed time in nanoseconds

#### close

    void close()

Equivalent to calling `stop()`.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`